stages:
        - build
        - test
        - deploy

build_app:
        stage: build
        image: node:latest
        script:
                - npm install --dev
                - npm run build
        artifacts:
                paths:
                        - dist/

e2e_tests:
        image:
                name: testcafe/testcafe
                entrypoint: ["/bin/sh", "-c"]
        script:
                - npm install --dev
                - /opt/testcafe/docker/testcafe-docker.sh chromium tests/e2e.js

test_app:
        stage: test
        image: node:latest
        script:
                - npm install --dev
                - npm run test:unit

deploy_app:
        stage: deploy
        image: "ruby:2.5"
        script:
                - apt-get update -qy
                - apt-get install rubygems ruby-dev -y
                - gem install dpl
                - dpl --provider=heroku --app=$HEROKU_APP_NAME --api-key=$HEROKU_API_KEY --skip-cleanup
